PERTALIFE - Bug #3211

E recruitment file data penambahan button download
11/13/2024 10:30 AM - Regina Tasya

Status: Closed Start date: 11/13/2024
Priority: Normal Due date:

Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 5.00 hours
Description

Dear kak shofwan,

ingin bnatuannya untuk menambahkan button download di file data, jadi jika user sudah upload file, dia bisa mengecek filenya
dengan didownload ataupun view

FILE DATA
Action w

Start Date End Date File Type File Mame File T Motes
13/08/2024 31/12/9959 Dokumen Dokumen 1

13/09/2024 31/12/9959 Dokumen Dokumen 1

13/08/2024 31/12/9959 Dokumen Dokumen 1

13/09/2024 31/12/9959 Dokumen Dokumen 1

121172024 31/12/9959 MEWVWER qwerfg

Port: http://remote.minovais.com:61115/
port erec : http://remote.minovais.com:64115/

Server: remote.minovais.com,1452
DB: MinovaES_Pertalife_Prod

History

#1 - 11/13/2024 11:29 AM - Regina Tasya
- File clipboard-202411131127-onu5t.png added
- File clipboard-202411131127-fwibh.png added

Perubahan kak,
dikarenakan saat mengklik buutun action kemudian edit dan user sudah bisa mendownload file upload sehingga untuk penambahan button download
tidak perlu.

namun ingin bantuannya saat user mengklik 2x pada tampilan form awal
http://remote.minovais.com:61115/
http://remote.minovais.com:64115/

HOME CAREER CONTACT US ACTIVITY

o Save successull

FILE DATA
Action w Clear Filters
Start Date End Date File Type File Name File MNotes
2/09/2024 31/12/9999 Dokumen Dokurmen 1

3

13/09/2024 31/12/9999 Dokumen Dokumen 1

13/09/2024 31/12/9999 Dokumen Dokumen 1

G

J

13/09/2024 31/12/9999 Dokumen Dokumen 1

999 NPWP querfg _

sl

12/11/2024 3112/

ingin dibuat agar bisa ke tampilan seperti dibawah inni

" Save successiull

FILE DATA
Start Date: 13/09/2024
End Date: 31/12/9999
File Type: Dokumen M
File Name: Dokumen 1
Notes:
Create By: dilan

LS 12/11/2024  14:34:22

Change By: dilan

Change Date: 12/11/2024  14:34:22

[ save ]
dikarenakan saat ini harus mengklik button action kemudian edit, untuk memudahkan user ingin saat klik 2x sudah bisa ke laman isian
- dan juga untuk kolom file type, itu bisa di hide dibagian formnya aja ga kak? tapi jika di klik edit file type nya hilang di dalamnya itu bisa tetap di
munculin ga?

jika tidak bisa solusi lainnya ingin di rapihin aja untuk tampilan di erecnya jika berupa picture, dikarenakan saat ini
tampilannya kebesaran

#2 - 11/13/2024 03:02 PM - Regina Tasya
- File clipboard-202411131502-ebfur.png added
FILE DATA

Action

Start Date End Date File Type File Name

31/12/9599 Dokumen Dokumen 1

31/12/9593 Dokumen Dokumen 1

3/00/2024 31/12/9593 Dokumen Dokumen 1

3/09/2024 31/12/9599 Dokumen Dokumen 1
2r11/2024 31/12/9599 NPWP qwer(g

#3 - 11/15/2024 03:36 PM - Regina Tasya

e tambahan kak, untuk menambahkan keterangan ukuran max file uploud SEPERTI:

File must be less than 500 Kb.
Allowed file types: Pdf, docx, Png, JPEG

File

Naotes

¢ kemudian tambahkan validasi untuk jika applicant meguploud ebih dari 500 kb maka muncul massage: Maximum File size is 500 Kb

#4 - 11/15/2024 05:33 PM - Regina Tasya

gen param untuk size: SIZEUPLOUD

#5 - 11/18/2024 11:25 AM - shofwan shiddiq
- File clipboard-202411181123-0c6rt.png added
- File clipboard-202411181123-drc46.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya
s the maximum limit of 500 KB.

Dear Tasya, Menu file upload sudah di revisi sesuai request

1. Bisa di double click di grid nya untuk edit

2. Penambahan validasi File Size melalui table GENPARAM

3. Penambahan validasi File Type khusus Pdf, docx, Png, JPEG

UPDATE :
App: C:\ClientManagement\PERTALIFE\Production\EREC\Scripts\MinovaXtype.js

Section: Ext.define('MinovaES.view.uploadfile.fileupload', {
#6 - 11/25/2024 12:06 PM - Regina Tasya

- Status changed from QA Test to Assigned

- Assignee changed from Regina Tasya to shofwan shiddiq

sesuai diskusi kita, untuk yang erecruitment tadi untuk massagenya jenis ukuran dan massage jenis file, ingin agar bisa diedit di smassagecatalog ya
kak.

untuk dari ui ada di menu : system administration- costumization- system- massage catalog.

terima kasih
#7 - 11/25/2024 02:45 PM - shofwan shiddiq

- File clipboard-202411251443-Ixb6p.png added
- File clipboard-202411251444-mu0xp.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Message

File size exceeds the maximum limit of 500 KB

Sudah parameterize ya di SMESSAGECATALOG

Messageld Langld Message . Motes | Active | StartDate | EndDate | CreateBy | CreateDate | ChangeBy
| 000006 EN § Save successfull. pesan sukses ketika proses save berhasil 1 20160101 99991231 minovais NULL minovais
| 000006 IDN § berhasil disimpan. pesan sukses ketika proses save berhasil 1 20160101 99991231 minovais NULL minovais
FILEEXCEED EN File size exceeds the max.. File size exceeds the maximum limito... 1 20160101 99991231 minovais NULL minovais
FILEEXCEED IDN File size exceeds the max.. File size exceeds the maximum limito... 1 20160101 99991231 minovais NULL minovais
FILEINVALID EN Invalid file type. Allowed... Invalid file type. Allowed file types are... 1 20160101 99991231 minovais NULL minovais
FILEINVALID IDN Invalid file type. Allowed... Invalid file type. Allowed file types are... 1 20160101 99991231 minovais NULL minovais
FILENOTFOUND EN File Not Found File Not Found 1 20160101 99991231 minovais NULL minovais
» | FILENOTFOUND IDN File Not Found File Not Found 1 20160101 99991231 minovais NULL minovais
*  |NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL

ID = FILEEXCEED > File Melebihi 500KB
ID = FILEINVALID > File harus sesuai format
ID = FILENOTFOUND > File Kosong

UPDATE:
C:\ClientManagement\PERTALIFE\Production\EREC\Scripts\MinovaMessage.js
function: MinovaWarningBox

#8 - 11/25/2024 04:58 PM - Regina Tasya
- File clipboard-202411251656-00310.png added
- Status changed from QA Test to Assigned

- Assignee changed from Regina Tasya to shofwan shiddiq

sesuai dengan diskusi tadi, ingin diberikan text massage di bawah field File untuk type filenya dan ukurannya.
HOME CAREER CONTACT US ACTIVITY

FILE DATA

Start Date: 25/M/2024

End Date: 31/12/9999
File Type:

File Name:

File: Q

L e |

|__save Y Back toForm |

massage : Acceptable file types are PDF, DOCX, PNG, JPEG. Max file size is 500 KB.

#9 - 11/26/2024 12:25 PM - shofwan shiddiq
- File clipboard-202411261224-algkt.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Dear Tasya, sudah di tambahkan keterangan ya, jadinya di box upload file nya

v @ (1606)Ro X 1 Inbox @5 X = @ TasyaMine X Issues -Re X Bug #3211 X MinovaE X @ ChatGPT X (@ (165)Wha X @ RPTHRN X MinovaH!

&« (¢} /\ Notsecure  remote.minovais.com

Upload File

C:\fakepath\Shofwan.JPG

cceptable file types are PDF, DOCX, PNG, JPEG. Max file size is 500 KB,

9rF
Mostly cloudy

UPDATE :
App: C:\ClientManagement\PERTALIFE\Production\EREC\Scripts\MinovaXtype.js

12:24 PM
a

[} N L D ) b
BE  Q search R e § 5 N RD® o,

#10 - 12/02/2024 10:18 AM - Regina Tasya
- Status changed from QA Test to Deploy

sudah sesuai
#11 - 01/20/2025 09:37 AM - Regina Tasya
- Status changed from Deploy to Closed

Files

clipboard-202411131029-chpeb.png 17.4 KB 11/13/2024 Regina Tasya
clipboard-202411131127-onu5t.png 35.9 KB 11/13/2024 Regina Tasya
clipboard-202411131127-fwibh.png 38.7 KB 11/13/2024 Regina Tasya
clipboard-202411131502-ebfur.png 59.5 KB 11/13/2024 Regina Tasya
clipboard-202411181123-0c6rt.png 51.4 KB 11/18/2024 shofwan shiddiq
clipboard-202411181123-drc46.png 52.4 KB 11/18/2024 shofwan shiddiq
clipboard-202411251443-Ixb6p.png 45.4 KB 11/25/2024 shofwan shiddiq
clipboard-202411251444-mu0xp.png 33.3KB 11/25/2024 shofwan shiddiq
clipboard-202411251656-00310.png 34.8 KB 11/25/2024 Regina Tasya
clipboard-202411261224-algkt.png 134 KB 11/26/2024 shofwan shiddiq
